summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--debian/libapache2-mod-dnssd.postinst20
-rw-r--r--debian/libapache2-mod-dnssd.prerm15
-rw-r--r--debian/watch2
3 files changed, 37 insertions, 0 deletions
diff --git a/debian/libapache2-mod-dnssd.postinst b/debian/libapache2-mod-dnssd.postinst
new file mode 100644
index 0000000..5045810
--- /dev/null
+++ b/debian/libapache2-mod-dnssd.postinst
@@ -0,0 +1,20 @@
+#!/bin/sh -e
+
+set -e
+
+#DEBHELPER#
+
+if [ "$1" != "configure" ]; then
+ exit 0
+fi
+
+if [ -n "$2" ]; then
+# we're upgrading, don't ask again
+ exit 0
+fi
+
+if [ -e /etc/apache2/apache2.conf ]; then
+ /usr/sbin/a2enmod mod_dnssd || true
+fi
+
+exit 0
diff --git a/debian/libapache2-mod-dnssd.prerm b/debian/libapache2-mod-dnssd.prerm
new file mode 100644
index 0000000..99b45e6
--- /dev/null
+++ b/debian/libapache2-mod-dnssd.prerm
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e
+
+#DEBHELPER#
+
+if [ "$1" != "remove" -a "$1" != "purge" ]; then
+ exit 0
+fi
+
+if [ -e /etc/apache2/apache2.conf ]; then
+ /usr/sbin/a2dismod mod_dnssd || true
+fi
+
+exit 0
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..6f87704
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,2 @@
+version=2
+http://0pointer.de/lennart/projects/mod_dnssd/mod_dnssd-(.*)\.tar\.gz \ No newline at end of file